ouch-decompress(1)

NAME
ouch-decompress - Decompresses one or more files, optionally into another folder

SYNOPSIS
ouch decompress [-d|--dir] [-y|--yes] [--here] [-n|--no] [-A|--accessible] [-r|--remove] [-H|--hidden] [-q|--quiet] [-g|--gitignore] [-f|--format] [-p|--password] [-c|--threads] [-h|--help] <FILES>

DESCRIPTION
Decompresses one or more files, optionally into another folder

OPTIONS

-d, --dir <OUTPUT_DIR>
    Decompress inside OUTPUT_DIR instead of the basename-derived subdirectory

-y, --yes
    Skip [Y/n] questions, default to yes

--here
    Extract directly into the current directory, like `tar -xf` and `unzip` do

-n, --no
    Skip [Y/n] questions, default to no

-A, --accessible
    Activate accessibility mode, reducing visual noise

-r, --remove
    Remove the source file after successful decompression

-H, --hidden
    Ignore hidden files

-q, --quiet
    Silence output

-g, --gitignore
    Ignore files matched by git's ignore files

-f, --format <FORMAT>
    Specify the format of the archive

-p, --password <PASSWORD>
    Decompress or list with password

-c, --threads <THREADS>
    Concurrent working threads

-h, --help
    Print help

<FILES>
    Files to be decompressed, or "-" for stdin